Bug 603592

Summary: kvm hangs on "Booting from Hard Disk"
Product: [Fedora] Fedora Reporter: samante
Component: kvmAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: berrange, bfsmith9, bjohnson, clalance, ehabkost, gcosta, hampus.lundqvist, jforbes, markmc, quintela, rankin.james, samante, sputhenp, vaidya.anand, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 14:09:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description samante 2010-06-13 21:47:26 EDT
Description of problem: After a successful install of Fedora 13 as a guest O/S under KVM, using either virt-manager or virt-install, the virtual machine fails to boot up.  The Fedora 13 guest will successfully install files from the ISO image; however, when it attempts to do the first reboot the guest will hang after displaying "Booting from Hard Disk" on the console.


Version-Release number of selected component (if applicable):
# cat /etc/fedora-release 
Fedora release 13 (Goddard)
# uname -a
Linux foo.castlepoint.net 2.6.33.5-112.fc13.i686.PAE #1 SMP Thu May 27 02:56:20 UTC 2010 i686 i686 i386 GNU/Linux
# yum -v groupinfo Virtualization
Group: Virtualization
 Group-Id: virtualization
Setting up Package Sacks
pkgsack time: 0.043
 Description: These packages provide a virtualization environment.
 Mandatory Packages:
   python-virtinst-0.500.2-3.fc13.noarch
                                    @updates                                    
 Default Packages:
   libvirt-0.7.7-4.fc13.i686        @updates                                    
   2:qemu-kvm-0.12.3-8.fc13.i686    @anaconda-InstallationRepo-201005130056.i386
   virt-manager-0.8.3-3.fc13.noarch @anaconda-InstallationRepo-201005130056.i386
   virt-viewer-0.2.1-1.fc13.i686    @anaconda-InstallationRepo-201005130056.i386
 Optional Packages:
   virt-top-1.0.4-3.fc13.i686       fedora                                      

# virsh nodeinfo
CPU model:           i686
CPU(s):              4
CPU frequency:       2400 MHz
CPU socket(s):       1
Core(s) per socket:  4
Thread(s) per core:  1
NUMA cell(s):        1
Memory size:         8265820 kB


How reproducible:
Constantly

Steps to Reproduce:
1.  Install Fedora 13 as guest O/S from a ISO contained on the local host's hard drive.
2.  After the guest O/S completes it's installation, it will reboot.
3.  When guest O/S reboots the first time, the console hangs after "Booting from Hard Disk".
  
Actual results:
Console hangs after "Booting from Hard Disk".


Expected results:
Expected to have the guest O/S successfully boot up.

Additional info:
Comment 1 Justin M. Forbes 2010-06-15 18:00:08 EDT
Thanks for the report, I think this might be similar to the Windows issue currently preventing boot without going through the CD.  Looking at it now.
Comment 2 samante 2010-06-17 22:03:37 EDT
Some additional follow-up info:
1)  I forgot to mention that I was attempting to install Fedora 13 "Minimal Distribution" into the VM and having it fail to do the first reboot, hanging with the message "Booting from Hard Disk" on the console.
2)  I tried to attach the IDE CD-ROM, contain the Fedora 13 ISO on the host's hard disk, to the VM.  Then, I attempted to boot the VM off the CD-ROM, which partially worked.  In this case, the VM would boot off the virtual CD-ROM and when GRUB came up, I told it to boot off the "local" hard-disk (contained in the VM).  After pressing enter the VM reported that it could not find a bootable disk.  
3)  Lastly, I attempted to install Fedora 12 into a VM and had the exact same problem.  IOW, during the first reboot the VM hangs at "Booting from Hard Disk".
Comment 3 Barry Smith 2010-06-27 13:22:34 EDT
I'm having the same problem. In my case, I'm using CentOS 5.5 as the guest O/S. It worked fine under Fedora 12. I tried to use the guest O/S that I had been using in Fedora 12 (the same image), and received this error - it hangs after "Booting from Hard Disk." (Right after "Booting from Hard Disk," the console says "GRUB Loading stage2..." That's where it hangs.) I also installed a new CentOS 5.5 guest O/S in Fedora 13 when this older one wouldn't work. The installation went fine, but then I had the same error when I tried to boot it up for the first time. Thanks.

[root@turk ~]# uname -a
Linux turk.unimatrix001.net 2.6.33.5-124.fc13.x86_64 #1 SMP Fri Jun 11 09:38:12 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

[root@turk ~]# virsh nodeinfo
CPU model:           x86_64
CPU(s):              2
CPU frequency:       2668 MHz
CPU socket(s):       1
Core(s) per socket:  2
Thread(s) per core:  1
NUMA cell(s):        1
Memory size:         4046312 kB
Comment 4 Bernard Johnson 2010-07-04 16:25:29 EDT
If I build a new RHEL 6 b2 VM, as soon as it reboots during the install, it hangs at "Booting from Hard Disk".  I can however get it to boot like this from the command line:

$ qemu-system-x86_64 -drive file=RHEL6b2.img,if=ide -m 512
Comment 5 Hampus Lundqvist 2010-08-20 03:19:12 EDT
(In reply to comment #3)
> I'm having the same problem. In my case, I'm using CentOS 5.5 as the guest O/S.
> It worked fine under Fedora 12. I tried to use the guest O/S that I had been
> using in Fedora 12 (the same image), and received this error - it hangs after
> "Booting from Hard Disk." (Right after "Booting from Hard Disk," the console
> says "GRUB Loading stage2..." That's where it hangs.) I also installed a new
> CentOS 5.5 guest O/S in Fedora 13 when this older one wouldn't work. The
> installation went fine, but then I had the same error when I tried to boot it
> up for the first time. Thanks.
> 
> [root@turk ~]# uname -a
> Linux turk.unimatrix001.net 2.6.33.5-124.fc13.x86_64 #1 SMP Fri Jun 11 09:38:12
> UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
> 
> [root@turk ~]# virsh nodeinfo
> CPU model:           x86_64
> CPU(s):              2
> CPU frequency:       2668 MHz
> CPU socket(s):       1
> Core(s) per socket:  2
> Thread(s) per core:  1
> NUMA cell(s):        1
> Memory size:         4046312 kB

I had a similar problem as Barry on my f13 x86_64 installation

I could not get my centos 5.5 guests to boot, believe it got stuck at the same place. And, it started up fine when starting from cmdline using simple commandline parameters.

My problem was that i had installed the guest through virt-manager without vt enabled in bios.
virt-manager then created a guest with emulator qemu-system-x86_64 instead of qemu-kvm. 
I then changed emulator manually to qemu-kvm inside xml-file in /etc/libvirt/qemu/<domain>.xml 
 
The mistake was that i missed changing first line inside the xml-file:
<domain type='qemu'> should be <domain type='kvm'> .

After i corrected this, the system now boots. 
Also, this change is seen in the process listing as an option -enable-kvm vs -no-kvm :P
Comment 6 Barry Smith 2010-08-27 22:34:16 EDT
Thanks Hampus - I think you've likely found the problem. After the issues
I had in Fedora 13, I installed CentOS 5, and tried to get first Xen and
then KVM working in it. I couldn't get KVM to work until I enabled
Virtualization in the BIOS (I happened across a Web page that mentioned
enabling in BIOS). Once I did that, everything changed, and options that
hadn't appeared in the Virtual Machine Manager suddenly became available. I
was able to install a virtual machine in the same way I had done it in
Fedora 12, no problems.

I think what threw me was that I hadn't had virtualization enabled in the
BIOS in Fedora 12, but I could easily get KVM working. And I then didn't
think to make the connection between what worked in CentOS and my problems
in Fedora.

As I mentioned, at present I'm running CentOS, and unfortunately I don't
know when I'm going to get a chance to reinstall Fedora 13 to test
this. Here is a link describing in more detail how I changed the BIOS:
http://wiki.centos.org/HowTos/Laptops/Dell/Latitude-E6500
Comment 7 Anand Vaidya 2010-10-22 09:37:26 EDT
I noticed the same problems [ubuntu 10.10 x64 laptop]. However, stopping service qemu-kvm did not stop the kvm process, had to kill it off manually. Restarted KVM and everything is fine.

PS: I know this is not RH or FC, but just stumbled on this bug so thought it might be useful to document
Comment 8 Bug Zapper 2011-06-02 06:59:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 14:09:58 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.